{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.nicothekid_crystalmite.movement": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"walking": "query.modified_move_speed * 1.2"
						}
					],
					"blend_transition": 0.1,
					"transitions": [
					  {
							"attack": "variable.attack_time > 0.0"
						}
					]
				},
				"attack": {
					"animations": [ "attack" ],
					"transitions": [
						{
							"default": "variable.attack_time <= 0.0"
						}
					]
				}
			}
		}
	}
}
